package com.jasamedika.medifirst2000.dto;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;


public class ItJadwalPerawatanDto extends BaseTransactionVO {
	private Date tanggal;

	private Date tglJadwal;

	private Date tglPelaksanaan;

	private String keterangan;

	private String statusPengerjaan;

	private String strukOrderId;

	private Integer ruanganId;
	
	private Integer pegawaiId;
	
	private List<ItJadwalPerawatanItemDto> itJadwalItem = new ArrayList<ItJadwalPerawatanItemDto>();
	
	private List<ItJadwalPerawatanTeknisiDto> itJadwalTeknisi = new ArrayList<ItJadwalPerawatanTeknisiDto>();

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public Date getTglJadwal() {
		return tglJadwal;
	}

	public void setTglJadwal(Date tglJadwal) {
		this.tglJadwal = tglJadwal;
	}

	public Date getTglPelaksanaan() {
		return tglPelaksanaan;
	}

	public void setTglPelaksanaan(Date tglPelaksanaan) {
		this.tglPelaksanaan = tglPelaksanaan;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public String getStatusPengerjaan() {
		return statusPengerjaan;
	}

	public void setStatusPengerjaan(String statusPengerjaan) {
		this.statusPengerjaan = statusPengerjaan;
	}

	public String getStrukOrderId() {
		return strukOrderId;
	}

	public void setStrukOrderId(String strukOrderId) {
		this.strukOrderId = strukOrderId;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public List<ItJadwalPerawatanItemDto> getItJadwalItem() {
		return itJadwalItem;
	}

	public void setItJadwalItem(List<ItJadwalPerawatanItemDto> itJadwalItem) {
		this.itJadwalItem = itJadwalItem;
	}

	public List<ItJadwalPerawatanTeknisiDto> getItJadwalTeknisi() {
		return itJadwalTeknisi;
	}

	public void setItJadwalTeknisi(List<ItJadwalPerawatanTeknisiDto> itJadwalTeknisi) {
		this.itJadwalTeknisi = itJadwalTeknisi;
	}
	
	
	
	
	
}
